pangomm: Pango::CairoFontMapImpl Class Reference

pangomm 2.50.0

Public Member Functions | List of all members
Pango::CairoFontMapImpl Class Reference

Gdk::CairoFontMapImpl is a Pango::FontMap that implements the Pango::CairoFontMap interface. More...

`#include <pangomm/cairofontmapimpl.h>`

Inheritance diagram for Pango::CairoFontMapImpl:
[legend]

## Public Member Functions
| CairoFontMapImpl (CairoFontMapImpl&& src) noexcept
CairoFontMapImpl& | operator= (CairoFontMapImpl&& src) noexcept
| ~CairoFontMapImpl () noexcept override
Public Member Functions inherited from Pango::CairoFontMap
| CairoFontMap (CairoFontMap&& src) noexcept
CairoFontMap& | operator= (CairoFontMap&& src) noexcept
| ~CairoFontMap () noexcept override
PangoCairoFontMap* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoCairoFontMap* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_default ()
| Sets a default `Pango::CairoFontMap` to use with Cairo. More...
Cairo::FontType | get_font_type () const
| Gets the type of Cairo font backend that fontmap uses. More...
void | set_resolution (double dpi)
| Sets the resolution for the fontmap. More...
double | get_resolution () const
| Gets the resolution for the fontmap. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Pango::FontMap
| FontMap (FontMap&& src) noexcept
FontMap& | operator= (FontMap&& src) noexcept
| ~FontMap () noexcept override
PangoFontMap* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoFontMap* | gobj () const
| Provides access to the underlying C GObject. More...
PangoFontMap* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Font > | load_font (const Glib::RefPtr< Context >& context, const FontDescription& desc) const
| Load the font in the fontmap that is the closest match for desc. More...
Glib::RefPtr< Fontset > | load_fontset (const Glib::RefPtr< Context >& context, const FontDescription& desc, const Language& language) const
| Load a set of fonts in the fontmap that can be used to render a font matching desc. More...
Glib::RefPtr< Context > | create_context ()
| Creates a `Pango::Context` connected to fontmap. More...
std::vector< Glib::RefPtr< FontFamily > > | list_families () const
| List all families for the fontmap. More...
guint | get_serial () const
| Returns the current serial number of fontmap. More...
Glib::RefPtr< FontFamily > | get_family (const Glib::ustring& name)
| Gets a font family by name. More...
Glib::RefPtr< const FontFamily > | get_family (const Glib::ustring& name) const
| Gets a font family by name. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Gio::ListModel
| ListModel (ListModel &&src) noexcept
ListModel & | operator= (ListModel &&src) noexcept
| ~ListModel () noexcept override
GListModel * | gobj ()
const GListModel * | gobj () const
GType | get_item_type () const
guint | get_n_items () const
Glib::RefPtr< Glib::ObjectBase > | get_object (guint position)
Glib::RefPtr< const Glib::ObjectBase > | get_object (guint position) const
Glib::SignalProxy< void(guint, guint, guint)> | signal_items_changed ()
Glib::RefPtr< Gio::ListModel > | wrap (GListModel *object, bool take_copy=false)

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Static Public Member Functions inherited from Pango::CairoFontMap
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< FontMap > | get_default ()
| Gets a default Pango::CairoFontMap to use with Cairo. More...
Static Public Member Functions inherited from Pango::FontMap
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gio::ListModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Protected Member Functions inherited from Pango::CairoFontMap
| CairoFontMap ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Gio::ListModel
| ListModel ()
void | items_changed (guint position, guint removed, guint added)
virtual GType | get_item_type_vfunc ()
virtual guint | get_n_items_vfunc ()
virtual gpointer | get_item_vfunc (guint position)
Related Functions inherited from Pango::CairoFontMap
Glib::RefPtr< Pango::CairoFontMap > | wrap (PangoCairoFontMap* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Pango::FontMap
Glib::RefPtr< Pango::FontMap > | wrap (PangoFontMap* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Gdk::CairoFontMapImpl is a Pango::FontMap that implements the Pango::CairoFontMap interface.

The PangoCairoFontMap interface can be implemented by C classes that derive from PangoFontMap. No public Pango class implements PangoCairoFontMap. Some Pango functions, such as pango_cairo_font_map_get_default(), return an object of a class which is derived from PangoFontMap and implements PangoCairoFontMap. Since that C class is not public, it's not wrapped in a C++ class. A C object of such a class can be wrapped in a Pango::CairoFontMapImpl object. Pango::CairoFontMapImpl does not directly correspond to any Pango class.

This class is intended only for wrapping C objects returned from Pango functions.

See also
  Pango::CairoFontMap::get_default()

Since pangomm 2.50:

## Constructor & Destructor Documentation

## ◆ CairoFontMapImpl()

Pango::CairoFontMapImpl::CairoFontMapImpl | ( | CairoFontMapImpl&& | src | ) |
| noexcept

## ◆ ~CairoFontMapImpl()

Pango::CairoFontMapImpl::~CairoFontMapImpl | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ operator=()

CairoFontMapImpl& Pango::CairoFontMapImpl::operator= | ( | CairoFontMapImpl&& | src | ) |
| noexcept